org.custommonkey.xmlunit

## Interface NamespaceContext

All Known Implementing Classes:
  SimpleNamespaceContext

    public interface NamespaceContext

Interface used by XpathEngine in order to map prefixes to namespace URIs.

This is modelled after javax.xml.namespace.NamespaceContext but reduced to our needs.

### Method Summary

Methods
`java.lang.String` `getNamespaceURI(java.lang.String prefix)` Obtain the URI for a given prefix.
`java.util.Iterator` `getPrefixes()` Get all prefixes of this context.

### Method Detail

#### getNamespaceURI

    java.lang.String getNamespaceURI(java.lang.String prefix)

Obtain the URI for a given prefix.

Unlike the method in javax.xml.namespace.NamespaceContext doesn't have to implement any special handling for predefined prefix values.

Returns:
  null if the prefix is unknown.

#### getPrefixes

    java.util.Iterator getPrefixes()

Get all prefixes of this context.